# STATS

```
bool STAT_SET_INT(Hash statName, int value, bool save)
bool STAT_SET_FLOAT(Hash statName, float value, bool save)
bool STAT_SET_BOOL(Hash statName, bool value, bool save)
int STAT_GET_INT(Hash stat)
float STAT_GET_FLOAT(Hash stat)
bool STAT_GET_BOOL(Hash stat)
Hash GET_NGSTAT_BOOL_HASH(int index, bool spStat, bool charStat, int character, string section)
Hash GET_NGSTAT_INT_HASH(int index, bool spStat, bool charStat, int character, string section)
int STAT_GET_PACKED_BOOL_MASK(int p0)
int STAT_GET_PACKED_INT_MASK(int p0)
bool STAT_SET_BOOL_MASKED(Hash statName, bool value, int mask, bool save)
bool STAT_SET_INT_MASKED(Hash statName, Any p1, Any p2, int p3, bool save)
bool STAT_SAVE(int p0, bool p1, int p2)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
